%define		php_name	php%{?php_suffix}
%define		modname	newt
%define		status		stable
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{modname} - extension for RedHat Newt windowing library
Summary(pl.UTF-8):	%{modname} - rozszerzenie dla biblioteki Newt
Name:		%{php_name}-pecl-%{modname}
Version:	1.2.5
Release:	2
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	5f9bb7704ac15175e0dda63e38408728
Patch0:		php-pecl-%{modname}-tsrm.patch
URL:		http://pecl.php.net/package/newt/
BuildRequires:	newt-devel
BuildRequires:	%{php_name}-devel >= 4:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires(triggerpostun):	sed >= 4.0
Requires:	%{_sysconfdir}/cli.d
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PHP-NEWT - PHP language extension for RedHat Newt library, a
terminal-based window and widget library for writing applications with
user friendly interface. Once this extension is enabled in PHP it will
provide the use of Newt widgets, such as windows, buttons, checkboxes,
radiobuttons, labels, editboxes, scrolls, textareas, scales, etc. Use
of this extension if very similar to the original Newt API fo C
programming language.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
PHP-NEWT to rozszerzenie języka PHP dla biblioteki Newt - terminalowej
biblioteki okienek i widgetów do pisania aplikacji z przyjaznym dla
użytkownika interfejsem. Po włączeniu tego rozszerzenia PHP będzie
udostępniać widgety Newta, takie jak okienka, przyciski, pola wyboru,
etykiety, pola edycyjne, paski przewijania, pola tekstowe, skale itp.
Rozszerzenia tego używa się bardzo podobnie do oryginalnego API Newta
w języku C.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -c
mv %{modname}-%{version}/* .
%patch0 -p1

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{cli,conf}.d,%{extensionsdir},%{_examplesdir}}

install modules/%{modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/cli.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 1.0-6.1
%{__sed} -i -e '/^extension[[:space:]]*=[[:space:]]*%{modname}\.so/d' %{_sysconfdir}/php-cli.ini

%files
%defattr(644,root,root,755)
%doc CREDITS TODO
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cli.d/%{modname}.ini
%attr(755,root,root) %{extensionsdir}/%{modname}.so
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-newt.git;a=log;h=AC-branch

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> a343797
- release 2 (by relup.sh)

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 75d1e9e
support building for multiple php versions

* Sun Jul 03 2011 Adam Gołębiowski <adamg@pld-linux.org> e1fd693
- updated to 1.2.5

* Sat Nov 07 2009 Adam Gołębiowski <adamg@pld-linux.org> 4d3863c
- new

* Sat Nov 07 2009 Adam Gołębiowski <adamg@pld-linux.org> 35f4627
- updated to 1.2.4

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 5a05e3a
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> 2fcbdc8
- unify examples location
- discard subdir in build

* Sun Feb 01 2009 Adam Gołębiowski <adamg@pld-linux.org> 6f59b8e
- updated to 1.2.1
- package examples
- still segfaults at exit...

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> edb1d0d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5499eb1
- converted to UTF-8

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> ea1a540
- BR rpmmacros for fixed %requires_php_extension

* Thu Apr 27 2006 Elan Ruusamäe <glen@pld-linux.org> 0b60393
- up to 1.1, cli still segfaults

* Thu Apr 27 2006 Elan Ruusamäe <glen@pld-linux.org> a05ccb3
- use cli.d dir for config, rel 7

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 0beaca9
- rel 6 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 349e32b
- rel 5

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> d776982
- rebuild with zts and debug requires

* Sun Oct 02 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 6cc0049
- rel 3

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 0116797
- really rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> addd3e3
- only usable in CLI SAPI; rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 1f47884
- conf.d and php api macros

